%define upstream_name    HTML-TagReader
%define upstream_version 1.13

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    HTML-TagReader module for perl 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     HTML-TagReader-1.10-signed-char.patch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
%description
TagReader is a perl extension module which allows you to read html/xml
files by tag. That is: in a similar way as you can read textfiles by
line with "while(<>)" you use TagReader::getbytoken to read a file by tag.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build
make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_bindir}/tr_*
%{perl_vendorarch}/HTML/TagReader.pm
%{perl_vendorarch}/auto/HTML/TagReader
%{_mandir}/*/*

%changelog
* Fri Nov 20 2020 tv <tv> 1.130.0-1.mga8
+ Revision: 1647855
- update to 1.13

* Mon Nov 16 2020 tv <tv> 1.120.0-1.mga8
+ Revision: 1646462
- update to 1.12

* Wed Jun 17 2020 umeabot <umeabot> 1.110.0-8.mga8
+ Revision: 1594810
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 1.110.0-7.mga8
+ Revision: 1529587
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tmb <tmb> 1.110.0-6.mga8
+ Revision: 1433659
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 1.110.0-5.mga7
+ Revision: 1293183
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 1.110.0-4.mga7
+ Revision: 1250430
- Rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 1.110.0-3.mga7
+ Revision: 1164827
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 1.110.0-2.mga7
+ Revision: 1149759
- Rebuild for perl ABI changes

* Tue Aug 01 2017 sander85 <sander85> 1.110.0-1.mga7
+ Revision: 1133352
- update to 1.11

* Sat Jul 22 2017 neoclust <neoclust> 1.100.0-14.mga7
+ Revision: 1126768
- Rebuild against new Perl 5.26

* Sun May 22 2016 pterjan <pterjan> 1.100.0-13.mga6
+ Revision: 1017584
- Fix some code assuming char == signed char, causing tests to hang on arm

* Thu Feb 18 2016 umeabot <umeabot> 1.100.0-12.mga6
+ Revision: 966293
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 1.100.0-11.mga6
+ Revision: 843212
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 1.100.0-10.mga5
+ Revision: 746498
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.100.0-9.mga5
+ Revision: 684970
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.100.0-8.mga5
+ Revision: 631243
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 1.100.0-7.mga4
+ Revision: 524870
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 1.100.0-6.mga4
+ Revision: 431576
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.100.0-5.mga3
+ Revision: 368146
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.100.0-4.mga3
+ Revision: 250761
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 1.100.0-3.mga2
+ Revision: 104660
- Rebuild for perl 5.14

* Mon Jan 24 2011 jquelin <jquelin> 1.100.0-2.mga1
+ Revision: 37052
- mageia rebuild
- imported package perl-HTML-TagReader

